/*******************************************************************************
 * MaterialExpressionAntialiasedTextureMask generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class MaterialExpressionAntialiasedTextureMask extends MaterialExpressionTextureSampleParameter2D
    native(Material)
    collapsecategories
    hidecategories(Object,Object,Object,Object);

enum ETextureColorChannel
{
    TCC_Red,
    TCC_Green,
    TCC_Blue,
    TCC_Alpha,
    TCC_MAX
};

var() float Threshold;
var() MaterialExpressionAntialiasedTextureMask.ETextureColorChannel Channel;

defaultproperties
{
    Threshold=0.50
    Channel=ETextureColorChannel.TCC_Alpha
    MenuCategories(0)=HighLevel
    MenuCategories(1)=Parameters
    Outputs(0)=(OutputName="",Mask=1,MaskR=1,MaskG=0,MaskB=0,MaskA=0)
    Outputs(1)=(OutputName="",Mask=1,MaskR=1,MaskG=0,MaskB=0,MaskA=0)
    Outputs(2)=(OutputName="",Mask=1,MaskR=0,MaskG=1,MaskB=0,MaskA=0)
    Outputs(3)=(OutputName="",Mask=1,MaskR=0,MaskG=0,MaskB=1,MaskA=0)
    Outputs(4)=(OutputName="",Mask=1,MaskR=0,MaskG=0,MaskB=0,MaskA=1)
}